<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");   //pour suppr.inc.php
include("../include/utiljs.php");
include("../include/suppr.inc.php");
include("../include/purges.inc.php");
opensession("Admin",false);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>

<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>nom1</TITLE>
<BASE TARGET="_self">
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</HEAD>
<body class="arialadmin">
<script language="javascript">
function ok() { //vérifie le formulaire avant envoi
 var ret=false;
 ret=confirm('ok');
 alert(ret);

 return ret;
 }
</script>
<p class="sous_titre">Effacements de comptes par groupes</p>
<p class="avis attention">Attention, les manipulations de cette page sont dangereuses, elles permettent de
supprimer globalement une ou plusieurs classes, <b>et tous les comptes élèves qui s'y trouvent, mais aussi TOUS LEURS RESULTATS !</b><br/>Une confirmation vous sera demandée
pour éviter de le faire par inadvertance.</p>
<p class="avis_transparent">Si vous désirez effacer simplement quelques comptes, il vous faut aller directement dans la gestion
 des élèves ou des professeurs.<br> Notez que les comptes 00000 et proftest ne seront pas supprimés, et la classe Classe_Test non plus.</p>
<?php
$PHP_SELF=basename($_SERVER['PHP_SELF']);

if (!isset($dejavu)) { //Premier passage

   $conn  = mysql_connect($host, $user, $mdp);
   mysql_select_db($db, $conn) or die ("Impossible d'accéder à $db");;
   $sql="select * from classes ".
             "WHERE  etab_id=$etab_id AND divgro='D' ORDER by divcod ;";
   $result=mysql_query ($sql,$conn) or die ("Echec de la requête $sql");

  //Début du formulaire permettant l'effacement de classes
   print "<form name=\"del_classe\" method=\"post\" action=\"".$PHP_SELF."\" onsubmit=\"return confirm('Etes-vous certain de supprimer tous les comptes correspondants ?');\" >";
   print "<input type=\"hidden\" name=\"dejavu\" value=1>";

   print "<div align=\"center\"><table border=\"1\" width=\"80%\">";
   print "<tr class=\"rubrique\"><td width=\"20%\">Effacer</td><td width=\"40%\">Nom des classes</td><td >Nombre d'élèves</td></tr>";
   $numcla=0;
   while($row=mysql_fetch_array($result)) {
       $numcla++;
       $divcod=$row['divcod'];
       $classe_id=$row['classe_id'];
       $nbelev=getnbeleves($etab_id,$classe_id);
       if ($divcod!="Classe_Test") { //Pas touche à celle-là !
        print "<tr align=\"center\" ><td>";
        print "<input type=checkbox name=\"CBelev[]\" value=$classe_id>";
        print "</td><td>$divcod</td><td>$nbelev</td></tr>";
        }
           }
   print "</table></div>";
   //pour les profs
   $numcla++;
   print "<div align =\"center\"><table border=\"1\" width=\"80%\">";
   print "<tr class=\"rubrique\"><td width=\"20%\">Effacer</td><td width=\"40%\">Nom du groupe</td><td >Nombre de comptes</td></tr>";
   print "<tr align=\"center\" ><td>";
   print "<input type=checkbox name=\"CBprof\" value=1>";
   $nbprofs=getnbprofs($etab_id);
   print "</td><td>Professeurs</td><td>$nbprofs</td></tr>";
   print "</table></div>";
   print "<p align=\"center\"><input type=\"checkbox\" name=CBbavard value=1>Mode bavard (affichage détaillé des comptes supprimés)</p>";

   print "<p align=\"center\"><input class='coul' type=\"submit\" name=btn_envoi value='Suppression de tous les comptes sélectionnés !'>";
   print "</form>";
   //==========================================================================
   } else { //2° passage, TRAITEMENTS
   //==========================================================================
   connecte($host,$user,$mdp,$db);
   //print_r($_POST);

   //Mode bavard ?
   if (isset($CBbavard)) $bavard=1;  else $bavard=0;

   //Parcours des classes à virer dans $CBelev[]
   if (isset($CBelev)) {
       $nbclass=count($CBelev);
       for ($i=0;$i<$nbclass;$i++) {
          $message=suppr_classe($CBelev[$i],$bavard);   //le 1=mode bavard   2=super bavard
          print $message;
        }
   }
   //Et les profs ?
   if (isset($CBprof)) {
     $message=suppr_profs_etab($bavard);  //mode bavard = ch. prof affiché
     print $message;
    }
    print "<hr>";
    Print "<p align='center'>Travail terminé<br>";
    print "<form name=frm_retour method='POST' action='admin_bas.php'>\n";
    print "<input class='coul' type='submit' name='btn_retour' value='Retour'></p>\n";


}
?>

</BODY>
</HTML>